PaySwitch
PaySwitch API Reference

Disputes

Server

Manage disputes


Disputes - Retrieve Dispute

GET
https://paysw-wiki.lab.next-on.pro/dev-router
/disputes/{dispute_id}
api-key (header)

Retrieves a dispute

Disputes - Retrieve Dispute › path Parameters

dispute_id
​string · required

The identifier for dispute

Disputes - Retrieve Dispute › query Parameters

force_sync
​boolean | null

Decider to enable or disable the connector call for dispute retrieve request

Disputes - Retrieve Dispute › Responses

The dispute was retrieved successfully

dispute_id
​string · required

The identifier for dispute

payment_id
​string · required

The identifier for payment_intent

attempt_id
​string · required

The identifier for payment_attempt

amount
​StringMinorUnit · required

Connector specific types to send

currency
​Currency · enum · required

The three-letter ISO 4217 currency code (e.g., "USD", "EUR") for the payment amount. This field is mandatory for creating a payment.

Enum values:
AED
AFN
ALL
AMD
ANG
AOA
ARS
AUD
dispute_stage
​DisputeStage · enum · required

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
dispute_status
​DisputeStatus · enum · required

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
connector
​string · required

connector to which dispute is associated with

connector_status
​string · required

Status of the dispute sent by connector

connector_dispute_id
​string · required

Dispute id sent by connector

created_at
​string · date-time · required

Time at which dispute is received

is_already_refunded
​boolean · required

Shows if the disputed amount(dispute_lost statuses only) + refunded amount is greater than captured amount

is_manual
​boolean · required

Whether the dispute was created manually through the dashboard or API

connector_reason
​string | null

Reason of dispute sent by connector

connector_reason_code
​string | null

Reason code of dispute sent by connector

challenge_required_by
​string | null · date-time

Evidence deadline of dispute sent by connector

connector_created_at
​string | null · date-time

Dispute created time sent by connector

connector_updated_at
​string | null · date-time

Dispute updated time sent by connector

profile_id
​string | null

The profile_id associated with the dispute

merchant_connector_id
​string | null

The merchant_connector_id of the connector / processor through which the dispute was processed


Disputes - List Disputes

GET
https://paysw-wiki.lab.next-on.pro/dev-router
/disputes/list
api-key (header)

Lists all the Disputes for a merchant

Disputes - List Disputes › query Parameters

limit
​integer | null · int64

The maximum number of Dispute Objects to include in the response

dispute_status
​string · enum

The status of dispute

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
dispute_stage
​string · enum

The stage of dispute

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
reason
​string | null

The reason for dispute

connector
​string | null

The connector linked to dispute

received_time
​string | null · date-time

The time at which dispute is received

received_time.lt
​string | null · date-time

Time less than the dispute received time

received_time.gt
​string | null · date-time

Time greater than the dispute received time

received_time.lte
​string | null · date-time

Time less than or equals to the dispute received time

received_time.gte
​string | null · date-time

Time greater than or equals to the dispute received time

Disputes - List Disputes › Responses

The dispute list was retrieved successfully

dispute_id
​string · required

The identifier for dispute

payment_id
​string · required

The identifier for payment_intent

attempt_id
​string · required

The identifier for payment_attempt

amount
​StringMinorUnit · required

Connector specific types to send

currency
​Currency · enum · required

The three-letter ISO 4217 currency code (e.g., "USD", "EUR") for the payment amount. This field is mandatory for creating a payment.

Enum values:
AED
AFN
ALL
AMD
ANG
AOA
ARS
AUD
dispute_stage
​DisputeStage · enum · required

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
dispute_status
​DisputeStatus · enum · required

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
connector
​string · required

connector to which dispute is associated with

connector_status
​string · required

Status of the dispute sent by connector

connector_dispute_id
​string · required

Dispute id sent by connector

created_at
​string · date-time · required

Time at which dispute is received

is_already_refunded
​boolean · required

Shows if the disputed amount(dispute_lost statuses only) + refunded amount is greater than captured amount

is_manual
​boolean · required

Whether the dispute was created manually through the dashboard or API

connector_reason
​string | null

Reason of dispute sent by connector

connector_reason_code
​string | null

Reason code of dispute sent by connector

challenge_required_by
​string | null · date-time

Evidence deadline of dispute sent by connector

connector_created_at
​string | null · date-time

Dispute created time sent by connector

connector_updated_at
​string | null · date-time

Dispute updated time sent by connector

profile_id
​string | null

The profile_id associated with the dispute

merchant_connector_id
​string | null

The merchant_connector_id of the connector / processor through which the dispute was processed


Disputes - Filtered List

POST
https://paysw-wiki.lab.next-on.pro/dev-router
/disputes/list
api-key (header)

Lists disputes with optional column operators

Disputes - Filtered List › Request Body

A type representing a range of time for filtering, including a mandatory start time and an optional end time.
start_time
​string · date-time · required

The start time to filter payments list or to get list of filters. To get list of filters start time is needed to be passed

end_time
​string | null · date-time

The end time to filter payments list or to get list of filters. If not passed the default time is now

dispute_id
​string | null

The identifier for dispute

payment_id
​string

A type for payment_id that can be used for payment ids

limit
​integer | null · int32 · min: 0

Limit on the number of objects to return

offset
​integer | null · int32 · min: 0

The starting point within a list of object

profile_id
​string | null

The identifier for business profile

dispute_status
​array | null

The list of status of the disputes

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
dispute_stage
​array | null

The list of stages of the disputes

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
reason
​string | null

Reason for the dispute

connector
​array | null

The list of connectors linked to disputes

currency
​array | null

The list of currencies of the disputes

Enum values:
AED
AFN
ALL
AMD
ANG
AOA
ARS
AUD
merchant_connector_id
​string

A type for merchant_connector_id that can be used for merchant_connector_account ids

​object[]

Column predicates. Combined with other fields using AND.

Disputes - Filtered List › Responses

The dispute list was retrieved successfully

count
​integer · min: 0 · required

The number of disputes included in the current response

total_count
​integer · int64 · required

The total number of available disputes for given constraints

​DisputeResponse[] · required

The list of dispute response objects


Disputes - Create Dispute

POST
https://paysw-wiki.lab.next-on.pro/dev-router
/disputes
api-key (header)

Creates a dispute manually for an existing payment

Disputes - Create Dispute › Request Body

payment_id
​string · required

The payment against which the dispute is raised

amount
​MinorUnit · int64 · required

This Unit struct represents MinorUnit in which core amount works

connector_dispute_id
​string | null

External reference for the dispute (e.g. bank chargeback id). Generated if omitted.

dispute_stage
​string · enum

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
connector_reason
​string | null

Reason of dispute

connector_reason_code
​string | null

Reason code of dispute

challenge_required_by
​string | null · date-time

Evidence deadline

Disputes - Create Dispute › Responses

The dispute was created successfully

dispute_id
​string · required

The identifier for dispute

payment_id
​string · required

The identifier for payment_intent

attempt_id
​string · required

The identifier for payment_attempt

amount
​StringMinorUnit · required

Connector specific types to send

currency
​Currency · enum · required

The three-letter ISO 4217 currency code (e.g., "USD", "EUR") for the payment amount. This field is mandatory for creating a payment.

Enum values:
AED
AFN
ALL
AMD
ANG
AOA
ARS
AUD
dispute_stage
​DisputeStage · enum · required

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
dispute_status
​DisputeStatus · enum · required

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
connector
​string · required

connector to which dispute is associated with

connector_status
​string · required

Status of the dispute sent by connector

connector_dispute_id
​string · required

Dispute id sent by connector

created_at
​string · date-time · required

Time at which dispute is received

is_already_refunded
​boolean · required

Shows if the disputed amount(dispute_lost statuses only) + refunded amount is greater than captured amount

is_manual
​boolean · required

Whether the dispute was created manually through the dashboard or API

connector_reason
​string | null

Reason of dispute sent by connector

connector_reason_code
​string | null

Reason code of dispute sent by connector

challenge_required_by
​string | null · date-time

Evidence deadline of dispute sent by connector

connector_created_at
​string | null · date-time

Dispute created time sent by connector

connector_updated_at
​string | null · date-time

Dispute updated time sent by connector

profile_id
​string | null

The profile_id associated with the dispute

merchant_connector_id
​string | null

The merchant_connector_id of the connector / processor through which the dispute was processed


Disputes - Update Dispute Status

PUT
https://paysw-wiki.lab.next-on.pro/dev-router
/disputes/{dispute_id}/update-status
api-key (header)

Updates the status of a manually created dispute

Disputes - Update Dispute Status › path Parameters

dispute_id
​string · required

The identifier for dispute

Disputes - Update Dispute Status › Request Body

dispute_status
​DisputeStatus · enum · required

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
dispute_stage
​string · enum

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
transition_reason
​string | null

Human-readable reason for the manual transition (stored in transition_reason column)

Disputes - Update Dispute Status › Responses

The dispute status was updated successfully

dispute_id
​string · required

The identifier for dispute

payment_id
​string · required

The identifier for payment_intent

dispute_stage
​DisputeStage · enum · required

Stage of the dispute

Enum values:
pre_dispute
dispute
pre_arbitration
arbitration
dispute_reversal
dispute_status
​DisputeStatus · enum · required

Status of the dispute

Enum values:
dispute_opened
dispute_expired
dispute_accepted
dispute_cancelled
dispute_challenged
dispute_won
dispute_lost
transition_reason
​string | null

Human-readable reason for the manual transition